<?php
/**
 * Author: luzheng.liu
 * Time: 2020/12/5 17:55
 */

namespace app\index\controller;


use app\common\service\CommonService;
use think\facade\Session;

class Index {

    public function index() {


        $visitorId = input('visitorId');
        $notifyUrl = input('notify_url');

        if (empty(Session::get('wxId'))){
            header("Location:".CommonService::getAuthUrl());
//            redirect(CommonService::getAuthUrl());
            die();
        }
        //增加客户自己的验证逻辑,例如登录,关注,付费,填手机号等
        $key = md5($visitorId.CommonService::getSetData()['channel_auth_code']);
        if(strpos($notifyUrl,'?') !== false){//url参数处理,将key加到url参数中
            $returnUrl = $notifyUrl."&key=".$key."&expire=3600";
        }else{
            $returnUrl = $notifyUrl."?key=".$key."&expire=3600";
        }
        header("Location:".$returnUrl);//跳转到直播观看页
        //        redirect($returnUrl);
    }
}